LibreOffice: InContentMetadata Service Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Exported Interfaces | List of all members
InContentMetadata Service Reference

is a TextContent that can be used to attach RDF metadata to a range of text. More...

Inheritance diagram for InContentMetadata:

## Included Services
service | com::sun::star::text::TextContent
| None of the properties of TextContent are supported.

## Exported Interfaces
interface | com::sun::star::rdf::XMetadatable
| The InContentMetadata can have RDF metadata attached.
interface | com::sun::star::container::XEnumerationAccess
| The TextContents that are contained in the annotated range of text can be enumerated.
interface | com::sun::star::container::XChild
| The TextContent that is the parent of this text range.
Exported Interfaces inherited from TextContent
interface | com::sun::star::text::XTextContent
| This interface is used for the attachment of this text content to the surrounding text.

## Additional Inherited Members
Public Types inherited from TextContent
typedef sequence< com::sun::star::text::TextContentAnchorType > | AnchorTypes
| contains the anchor type of the text content.
Public Member Functions inherited from XTextContent
void | attach ([in] com::sun::star::text::XTextRange xTextRange) raises ( com::sun::star::lang::IllegalArgumentException )
| is called when this object gets embedded in a text.
com::sun::star::text::XTextRange | getAnchor ()
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XMetadatable
void | ensureMetadataReference ()
| creates a metadata reference for this object, if necessary.
Public Member Functions inherited from XEnumerationAccess
com::sun::star::container::XEnumeration | createEnumeration ()
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XChild
com::sun::star::uno::XInterface | getParent ()
| grants access to the object containing this content.
void | setParent ([in] com::sun::star::uno::XInterface Parent) raises ( com::sun::star::lang::NoSupportException )
| sets the parent to this object.
Public Attributes inherited from TextContent
com::sun::star::text::TextContentAnchorType | AnchorType
| specifies how the text content is attached to its surrounding Text.
com::sun::star::text::WrapTextMode | TextWrap
| specifies if the text content is a shape and how the text is wrapped around the shape.
Public Attributes inherited from XMetadatable
com::sun::star::beans::StringPair | MetadataReference { set raises(com::sun::star::lang::IllegalArgumentException); }
| a metadata reference, comprising the stream name and the XML ID.
Public Attributes inherited from XURI
string | Namespace
| prefix
string | LocalName
| suffix
Public Attributes inherited from XNode
string | StringValue
| the string value of the node.

## Detailed Description

is a TextContent that can be used to attach RDF metadata to a range of text.

Since
  OOo 3.2

## Exported Interfaces

## ◆ com::sun::star::text::TextContent

service com::sun::star::text::TextContent

None of the properties of TextContent are supported.

## Exported Interfaces

## ◆ com::sun::star::container::XChild

interface com::sun::star::container::XChild

The TextContent that is the parent of this text range.

Since
  OOo 3.3

## ◆ com::sun::star::container::XEnumerationAccess

interface com::sun::star::container::XEnumerationAccess

The TextContents that are contained in the annotated range of text can be enumerated.

## ◆ com::sun::star::rdf::XMetadatable

interface com::sun::star::rdf::XMetadatable

The InContentMetadata can have RDF metadata attached.

The documentation for this service was generated from the following file:

- com/sun/star/text/InContentMetadata.idl